use Xorfilter::*;

fn main() {
    const SIZE: usize = 10000;
    let mut keys = [0; SIZE];

    for i in 0..SIZE {
        keys[i] = i as u64;
    }

    let x: XorFilter<u64, SIZE> = XorFilter::new(keys);

    for i in 0..SIZE {
        println!("{}", x.contains(keys[i]));
    }
}
